/****************************************************
  Projekt:  TMC5130 and TMC5072 CRC calculation

  Modul:    Rhino-CRC.h
            CRC-Calculation for UART interfacing

  Hinweise: Start with CRC-Register=0,
            then call NextCRC for each byte to be sent
            or each by received. Send CRC byte last or
            check received CRC

  Datum:    14.6.2011 OK
*****************************************************/

#define CRC8_GEN 0x07


UCHAR NextCRCSingle(UCHAR Crc, UCHAR Data, UCHAR Gen, UCHAR Bit);
UCHAR NextCRC(UCHAR Crc, UCHAR Data, UCHAR Gen);
